Name:          haveged
Version:       1.9.15
Release:       2mamba
Summary:       A simple entropy daemon
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.issihosts.com/haveged/
Source:        https://github.com/jirka-h/haveged.git/v%{version}/haveged-%{version}.tar.bz2
Source1:       haveged.service
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The haveged project is an attempt to provide an easy-to-use, unpredictable random number generator based upon an adaptation of the HAVEGE algorithm. Haveged was created to remedy low-entropy conditions in the Linux random device that can occur under some workloads, especially on headless servers. Current development of haveged is directed towards improving overall reliability and adaptability while minimizing the barriers to using haveged for other tasks.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%configure \
   --enable-init=service.forking

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%triggerpreun -- haveged < 1.9.15-2mamba
systemctl disable haveged || true
:

%files
%defattr(-,root,root)
%{_sbindir}/haveged
%{_mandir}/man8/haveged.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libhavege.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/haveged
%{_includedir}/haveged/havege.h
%{_libdir}/libhavege.a
%{_libdir}/libhavege.la
%{_libdir}/libhavege.so
%{_mandir}/man3/libhavege.3*
%doc ChangeLog NEWS README


%changelog
* Fri Dec 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.15-2mamba
- disable and remove service no longer needed since kernel 5.6+

* Mon Oct 04 2021 Automatic Build System <autodist@mambasoft.it> 1.9.15-1mamba
- automatic version update by autodist

* Mon Jan 04 2021 Automatic Build System <autodist@mambasoft.it> 1.9.14-1mamba
- automatic version update by autodist

* Tue Jun 30 2020 Automatic Build System <autodist@mambasoft.it> 1.9.13-1mamba
- automatic version update by autodist

* Fri Jun 19 2020 Automatic Build System <autodist@mambasoft.it> 1.9.12-1mamba
- automatic version update by autodist

* Sat Jun 13 2020 Automatic Build System <autodist@mambasoft.it> 1.9.11-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 1.9.10-1mamba
- automatic version update by autodist

* Thu Jun 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.9-2mamba
- fix boot problem by using service.forking instead of service.fedora

* Thu Jun 11 2020 Automatic Build System <autodist@mambasoft.it> 1.9.9-1mamba
- automatic version update by autodist

* Sun Oct 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.8-1mamba
- package created using the webbuild interface
